version: '3.8'

services:
  main:
    container_name: main
    build:
      context: .
      target: production
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules
    ports:
      - ${HOST_PORT}:3000
    command: yarn run start:prod
    env_file:
      - production.env
      - .env
    networks:
      - webnet
    depends_on:
      - redis
      - postgres
  redis:
    container_name: redis
    image: redis:5
    networks:
      - webnet
  postgres:
    container_name: postgres
    image: postgres:12
    networks:
      - webnet
    environment:
      POSTGRES_PASSWORD: ${DB_PASSWORD}
      POSTGRES_USER: ${DB_USERNAME}
      POSTGRES_DB: ${DB_DATABASE}
      PG_DATA: /var/lib/postgresql/data
    volumes:
      - pgdata:/var/lib/postgresql/data
networks:
  webnet:
volumes:
  pgdata: